extends CutsceneCommand
class_name TurnCharacterCommand

@export_node_path("CharacterBase") var character: NodePath
@export var facing_direction: Util.CardinalDirection

var _directions = [
	Vector2.UP,
	Vector2.LEFT,
	Vector2.DOWN,
	Vector2.RIGHT
]

func get_direction(_manager: CutsceneManager) -> Vector2:
	return _directions[facing_direction]
